#include "shortcuts.h"

#include <iostream>
using namespace std;

/////////////////////////////////////////////////////////////////
// Shortcut
/////////////////////////////////////////////////////////////////
Shortcut::Shortcut(QWidget *parent) :QShortcut (parent)
{
}

/////////////////////////////////////////////////////////////////
// Switchboard
/////////////////////////////////////////////////////////////////
Switchboard::Switchboard ()
{
}

void Switchboard::addConnection (QAction *a, const QString &desc)
{	
	QKeySequence ks=QKeySequence::fromString (desc);
	actions.append (a);
	if (!desc.isEmpty()) keys.append (new QKeySequence (ks));
	if (a) a->setShortcut (ks);
}

void Switchboard::print ()
{
	for (int i=0;i<actions.size();++i)
	{
		cout <<actions.at(i)->shortcut().toString().toStdString();
		cout << "  Action: " <<actions.at(i)->text().toStdString();
		cout <<endl;
	}
}
